SDL_AtomicAdd(3)

NAME
SDL_AtomicAdd - Add to an atomic variable.

HEADER FILE
Defined in SDL3/SDL_atomic.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_AtomicAdd(SDL_AtomicInt *a, int v);

DESCRIPTION
This function also acts as a full memory barrier. Note: If you don't know what this function is for, you shouldn't use it!

FUNCTION PARAMETERS

a   a pointer to an SDL_AtomicInt
     variable to be modified

v   the desired value to add

RETURN VALUE
Returns the previous value of the atomic variable.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_AtomicDecRef(3), SDL_AtomicIncRef(3)